Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.hw
Class ModuleParameterGroup

    java.lang.Object
      rdlc.naming.Catalog<java.lang.String,V>
          rdlc.naming.HierarchicalCatalog<Field>
              rdlc.rdl.Instance
                  rdlc.hw.ModuleParameterGroup

All Implemented Interfaces:
  Expression, Field

    public class ModuleParameterGroup

extends Instance

Abstraction of a group of related hardware parameters or constants. They are stored as a group because that's how they tend to be manipulated in well written verilog. Both literal and derived constants are supported.

Version:
  $Revision: 1.15 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from class rdlc.rdl.Instance
`Instance.Accessor, Instance.Identifier, Instance.LateBindField, Instance.QualifiedIdentifier`

Nested classes/interfaces inherited from class rdlc.naming.HierarchicalCatalog
`HierarchicalCatalog.DefaultAccessor<_V>`

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary
`protected boolean` | `local` Determines whether this is a parameter group or a localparam group in verilog.

Fields inherited from class rdlc.rdl.Instance
`bound, copied, copySource, dynRoot, lateBindFieldList, namespace, resolved`

Fields inherited from class rdlc.naming.HierarchicalCatalog
`cachedIdentifier, cachedRoot, name, parent`

Fields inherited from class rdlc.naming.Catalog
`entryList, indexTable`

Constructor Summary
`ModuleParameterGroup(java.lang.String _name, Instance _parent, boolean _local)` Base constructor, creates a blank empty parameter group by name.
`ModuleParameterGroup(UnitPort unitPort, Instance _parent, boolean link)` Full constructor, creates a localparam group for all of the unit port tags and field widths.

Method Summary
`protected void` | `add(java.lang.String _name, Message message, boolean link)` Helper method for constructing messages sizesand tags.
`Field` | `copy(java.lang.String _name, Instance _instance)` Create a copy of this field in the given instance.
`boolean` | `isLocal()` Simple accessor.

Methods inherited from class rdlc.rdl.Instance
`add, add, bindFields, copySubInstance, createIdentifier, getDynRoot, getRequirements, resolve, setInstance, setNamespace, setRawDynamicID, toString, typeMatch`

Methods inherited from class rdlc.naming.HierarchicalCatalog
`connectParent, getIdentifier, getName, getParent, getRoot, hashCode`

Methods inherited from class rdlc.naming.Catalog
`clear, containsKey, entryList, get, get, getKey, isEmpty, keySet, put, put, putAll, remove, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rdlc.rdl.Field
`getIdentifier`

Field Detail

### local

    protected boolean local

  Determines whether this is a parameter group or a localparam group in verilog.

Constructor Detail

### ModuleParameterGroup

    public ModuleParameterGroup(java.lang.String _name,
                                Instance _parent,
                                boolean _local)

  Base constructor, creates a blank empty parameter group by name.

  Parameters:
    `_name` - The name to use for this parameter group.
    `_parent` - The parent module to add this group to.
    `_local` - With this be a local (non-overridable) group?

### ModuleParameterGroup

    public ModuleParameterGroup(UnitPort unitPort,
                                Instance _parent,
                                boolean link)

  Full constructor, creates a localparam group for all of the unit port tags and field widths.

  Parameters:
    `unitPort` - The `UnitPort` for which we're constructing a list of tag and width constants.
    `_parent` - The parent module to add this group to.
    `link` - Is this being generated for the link? (As opposed to the unit shell)

Method Detail

### add

    protected void add(java.lang.String _name,
                       Message message,
                       boolean link)

  Helper method for constructing messages sizesand tags. This method creates all the actual sizes and tags for the message, by recursively traversing the message structure.

  Parameters:
    `_name` - The name prefix to add to each constant.
    `message` - The message whose sizes we want to name.
    `link` - Is this being generated for the link? (As opposed to the unit shell)

### copy

    public Field copy(java.lang.String _name,
                      Instance _instance)

  Description copied from interface: `Field`
  Create a copy of this field in the given instance. This is highly useful during dynamic hierarchy copying and during back end generation.

  Parameters:
    `_name` - The new name to use.
    `_instance` - The instance the copy should be a member of.
  See Also:
    `Field.copy(String, Instance)`

### isLocal

    public boolean isLocal()

  Simple accessor.

  Returns:
    `true` if this is a localparm group.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD